Plantronics + Polycom. Now together as Poly Logo

Upgrading bootrom only to specific devices with same Central Provisioning. Server

Highlighted
Advisor

Upgrading bootrom only to specific devices with same Central Provisioning. Server

Hello all,

                  I need your suggestion/Advice

 

Current Scenario:

We are organization which uses ten thousands of Polycom devices(Includes IP Series and SS Devices) across different geographical locations.

Currenly all devices are using BootRom 4.2.1.0499 and SIP 3.3.2 and few locations has SIP 3.3.4.

We follow zero touch provisioning with Centralised Provisioning Server.

So when we connect a device to the network it gets Provisioning server path from DHCP Then it device boots with the BootRom/SIP kept in  'home' folder(The Prov Server redirects ../Polycom/PolycomANY/part-no.boot|sip.id  to ../polycom/firmware/part-no.boot|sip.id ).

Planned System:

We are planning to upgrade the devices to 4.x. Which comes with latest bootRom 5.0.1 for a pilot location with few hundread devices with central provisioning

Problem:

There is no difference in bootserver Location/Both bootRoms 4.x and 5.X for a device will be having same name.

To be more clear, If have 100 Polycom650 device, we would like to upgrade only 10 of them to Latest bootRom/SIP with Same Provisioning Server.

Able to acheive different SIP for different locations by using APP_FILE_PATH='new/sip.ID' in user level after a user logging in successfully to the device.

Not sure about BootRom. I am unable to get/locate reference for this scenario as its a Mixed environment for BootRoms.

Suggestions are welcome. Kidly redirect me if this question is already answered in this forum

Thanks.

Regards,
Ganesh


Message 1 of 2
1 REPLY 1
Highlighted
Polycom Employee & Community Manager

Re: Upgrading bootrom only to specific devices with same Central Provisioning. Server

Hello Ganesh,

welcome to the Polycom Community.

 

If you want to upgrade 10 individual phones you will need to create 10x 0004FXXXXXXX.cfg files matching their MAC Address and specify the location of the UCS Software.

The community's VoIP FAQ contains this post here:

Oct 7, 2011 Question: How can I setup my Phone / Provisioning / Download / Upgrade / Update / Downgrade Software?
Resolution: Please check => here <=

 

The above post explains how to upgrade to UCS.

 

Please be aware that any SoundPoint / SoundStation device will only be supported for SIP if running UCS 4.0.x. The latest Version is UCS 4.0.7

 

UCS 4.1.x or newer for the SPIP / SSIP Phones is for LYNC only.


Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 2 of 2